package com.tencent.qqmini.sdk.core.generated;

import androidx.annotation.Keep;

import com.gh.gamecenter.qqmini.LogProxyImpl;
import com.gh.gamecenter.qqmini.MiniGameChannelInfoProxyImpl;
import com.gh.gamecenter.qqmini.ShareProxyImpl;

import java.util.HashMap;
import java.util.Map;

@Keep
public final class ExtProxyServiceScope {
    public static final Map<Class, Class> PROXY_SERVICES = new HashMap<>();

    static {
        PROXY_SERVICES.put(com.tencent.qqmini.sdk.launcher.core.proxy.ShareProxy.class, ShareProxyImpl.class);
        PROXY_SERVICES.put(com.tencent.qqmini.minigame.external.proxy.IMiniGameChannelInfoProxy.class, MiniGameChannelInfoProxyImpl.class);
        PROXY_SERVICES.put(com.tencent.qqmini.sdk.launcher.core.proxy.LogProxy.class, LogProxyImpl.class);
    }
}
